/*  Copyright (C) 2008 National Institute For Space Research (INPE) - Brazil.

    This file is part of the TerraLib - a Framework for building GIS enabled applications.

    TerraLib is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License,
    or (at your option) any later version.

    TerraLib is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with TerraLib. See COPYING. If not, write to
    TerraLib Team at <terralib-team@terralib.org>.
 */

/*!
  \file terralib/BuildConfig.h

  \brief Proxy file for the real global build configuration flags file (terralib_buildconfig.h).
 */

/*!
  \mainpage TerraLib 5 Code Documentation

  TerraLib 5.0 is a new version of the Terralib library (www.terralib.org).
  TerraLib is a C++ software library base to develop Geographical Information Systems (GIS).
  It is developed by the National Institute for Space Research (INPE), Brazil.

  TerraLib is free and open source software. You can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation, either version 3 of the License,
  or (at your option) any later version.

  For more information about download, build and install, see the TerraLib 5.0
  Wiki Page <www.dpi.inpe.br/terralib5> or contact the Terralib Team at <terralib-team@terralib.org>.
 */

#ifndef __TERRALIB_INTERNAL_BUILDCONFIG_H
#define __TERRALIB_INTERNAL_BUILDCONFIG_H

// TerraLib
#include "terralib_layout_buildconfig.h"

#endif  // __TERRALIB_INTERNAL_BUILDCONFIG_H
