/*  Copyright (C) 2008 National Institute For Space Research (INPE) - Brazil.

This file is part of the TerraLib - a Framework for building GIS enabled applications.

TerraLib is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

TerraLib is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with TerraLib. See COPYING. If not, write to
TerraLib Team at <terralib-team@terralib.org>.
*/

/*!
\file ColorWidget.h

\brief ...
*/
#ifndef __TERRALIB_LAYOUT_INTERNAL_COLOR_WIDGET_H
#define __TERRALIB_LAYOUT_INTERNAL_COLOR_WIDGET_H

//TerraPrint includes
#include "../../core/Config.h"

// Qt includes
#include <QWidget>

class QColor;
class QColorDialog;

namespace te
{
  namespace qt
  {
    namespace widgets
    {
      class HorizontalSliderWidget;
    }
  }

  namespace layout
  {
    /*!
    \class ColorWidget

    \brief ...
    */
    class TELAYOUTEXPORT ColorWidget : public QWidget
    {
	    Q_OBJECT

    public:

      ColorWidget(QWidget* parent = 0, Qt::WindowFlags f = 0);
  
      virtual ~ColorWidget();

      virtual void setColor(const QColor& color);

      virtual QColor getColor() const;

    private:
      QColorDialog*                             m_colorDialog;
      te::qt::widgets::HorizontalSliderWidget*  m_sliderWidget;

      bool                                      m_propagateColorUpdate;

    };
  }
}

#endif //__TERRALIB_LAYOUT_INTERNAL_COLOR_WIDGET_H
