/*  Copyright (C) 2008 National Institute For Space Research (INPE) - Brazil.

    This file is part of the TerraLib - a Framework for building GIS enabled applications.

    TerraLib is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License,
    or (at your option) any later version.

    TerraLib is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TerraLib. See COPYING. If not, write to
    TerraLib Team at <terralib-team@terralib.org>.
 */

/*!
  \file memory.h

  \brief This file contains include headers for the memory data source of TerraLib.
*/

#ifndef __TERRALIB_INTERNAL_MEMORY_H
#define __TERRALIB_INTERNAL_MEMORY_H


// memory
#include "memory/Config.h"
#include "memory/CachedRaster.h"
#include "memory/DataSet.h"
#include "memory/DataSetItem.h"
#include "memory/ExpansibleBandBlocksManager.h"
#include "memory/ExpansibleRaster.h"
#include "memory/Raster.h"

/*!
  \defgroup mem Memory

  \brief This module can be used to manage geographical data with a representation stored in RAM memory.
*/

namespace te
{
  /*!
    \brief Namespace for the memory data source of TerraLib.
  */
  namespace mem
  {
  }	// end namespace mem
}   // end namespace te

#endif  // __TERRALIB_INTERNAL_MEMORY_H

