/*  Copyright (C) 2008 National Institute For Space Research (INPE) - Brazil.

    This file is part of the TerraLib - a Framework for building GIS enabled applications.

    TerraLib is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License,
    or (at your option) any later version.

    TerraLib is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TerraLib. See COPYING. If not, write to
    TerraLib Team at <terralib-team@terralib.org>.
 */

/*!
  \file sa.h

  \brief This file contains include headers for the TerraLib SA module.
*/

#ifndef __TERRALIB_SA_INTERNAL_H
#define __TERRALIB_SA_INTERNAL_H

//// SA module


/*!
  \defgroup sa Spatial Analysis Module

  \brief The sa module provides classes and functions to analyze spatial data.  
  
  Basically, the TerraLib Spatial Analysis module contains several processing operations and it is organized as follows:

    <ul>
      <li>GPM - Generalized Proximity Matrix</li>
    </ul> 
  
  The main classes/concepts in this module are listed here. The namespace associated to the SA module is te::sa.
  To know more about it, see the te::sa namespace documentation.
*/

namespace te
{
  /*! \brief Namespace for the TerraLib SA module. */
  namespace sa
  {
  }	// end namespace sa
}   // end namespace te

#endif  // __TERRALIB_SA_INTERNAL_H

