/*  Copyright (C) 2008 National Institute For Space Research (INPE) - Brazil.

    This file is part of the TerraLib - a Framework for building GIS enabled applications.

    TerraLib is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License,
    or (at your option) any later version.

    TerraLib is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TerraLib. See COPYING. If not, write to
    TerraLib Team at <terralib-team@terralib.org>.
 */

/*!
  \file stmemory.h

  \brief This file contains include headers for the TerraLib ST memory module.
*/

#ifndef __TERRALIB_STMEMORY_INTERNAL_H
#define __TERRALIB_STMEMORY_INTERNAL_H

//// ST memory module

//Coverage
#include "stmemory/Config.h"
#include "stmemory/DataSet.h"
#include "stmemory/DataSource.h"
#include "stmemory/DataSourceFactory.h"
#include "stmemory/Transactor.h"
#include "stmemory/Exception.h"

namespace te
{
  /*! \brief Namespace for the TerraLib ST memory module. */
  namespace stmem
  {
  }	// end namespace stmem
}   // end namespace te

#endif  // __TERRALIB_STMEMORY_INTERNAL_H

